/Users/bernard/b20/bsoft/include/mg_marker.h(3)

NAME
/Users/bernard/b20/bsoft/include/mg_marker.h - Header file for micrograph marker functions.

SYNOPSIS

#include 'marker.h'
#include 'mg_processing.h'

  Functions
long project_marker_lists (Bproject *project)
Lists micrograph markers.
long project_marker_in_particle (Bproject *project)
Enumerates markers within particles.
long project_marker_in_particle_image (Bproject *project, double marker_radius)
Enumerates markers within particles.

Detailed Description

Header file for micrograph marker functions.

Author:
    Bernard Heymann

Date:
    Created: 20150212

    Modified: 20150212

Definition in file mg_marker.h.

Function Documentation

  long project_marker_in_particle (Bproject * project)

Enumerates markers within particles.

Parameters:
    *project micrograph project.

Returns:
    long number of markers (<0 means failure).

Definition at line 72 of file mg_marker.cpp.

  long project_marker_in_particle_image (Bproject * project, double marker_radius)

Enumerates markers within particles.

Parameters:
    *project micrograph project.
    marker_radius search radius to associate with marker.

Returns:
    long number of markers (<0 means failure).

Definition at line 135 of file mg_marker.cpp.

  long project_marker_lists (Bproject * project)

Lists micrograph markers.

Parameters:
    *project micrograph project.

Returns:
    long number of markers (<0 means failure).

Definition at line 23 of file mg_marker.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.